Bug 177397 - netstat -i<iface> only works with first interface
netstat -i<iface> only works with first interface
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: net-tools (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Ben Levenson
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2006-01-10 06:06 EST by Nicolas Joly
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0360
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:18:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
net-tools-1.60-iface_fix.patch (900 bytes, patch)
2006-01-10 07:15 EST, Radek Vokal
no flags Details | Diff

  None (edit)
Description Nicolas Joly 2006-01-10 06:06:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; OSF1 alpha; en-US; rv:1.5) Gecko/20031031

Description of problem:
netstat -i<iface> always report all configured interfaces except for the first one.

njoly@raclette-tete1 [~]> /bin/netstat -i              
Kernel Interface table
Iface       MTU Met    RX-OK RX-ERR RX-DRP RX-OVR    TX-OK TX-ERR TX-DRP TX-OVR Flg
eth0       1500   0  3423403      0      0      0   692348      0      0      0 BMRU
eth1       1500   0   242193      0      0      0   386410      0      0      0 BMRU
lo        16436   0     2458      0      0      0     2458      0      0      0 LRU
njoly@raclette-tete1 [~]> /bin/netstat -ieth0
Kernel Interface table
Iface       MTU Met    RX-OK RX-ERR RX-DRP RX-OVR    TX-OK TX-ERR TX-DRP TX-OVR Flg
eth0       1500   0  3423422      0      0      0   692359      0      0      0 BMRU
njoly@raclette-tete1 [~]> /bin/netstat -ieth1
Kernel Interface table
Iface       MTU Met    RX-OK RX-ERR RX-DRP RX-OVR    TX-OK TX-ERR TX-DRP TX-OVR Flg
eth0       1500   0  3423431      0      0      0   692376      0      0      0 BMRU
eth1       1500   0   242193      0      0      0   386410      0      0      0 BMRU
lo        16436   0     2458      0      0      0     2458      0      0      0 LRU
njoly@raclette-tete1 [~]> /bin/netstat -ilo  
Kernel Interface table
Iface       MTU Met    RX-OK RX-ERR RX-DRP RX-OVR    TX-OK TX-ERR TX-DRP TX-OVR Flg
eth0       1500   0  3423446      0      0      0   692387      0      0      0 BMRU
eth1       1500   0   242194      0      0      0   386412      0      0      0 BMRU
lo        16436   0     2458      0      0      0     2458      0      0      0 LRU



Version-Release number of selected component (if applicable):
net-tools-1.60-37.EL4.6

How reproducible:
Always

Steps to Reproduce:
1./bin/netstat -ieth1


Actual Results:  njoly@raclette-tete1 [~]> /bin/netstat -ieth1
Kernel Interface table
Iface       MTU Met    RX-OK RX-ERR RX-DRP RX-OVR    TX-OK TX-ERR TX-DRP TX-OVR Flg
eth0       1500   0  3423141      0      0      0   692253      0      0      0 BMRU
eth1       1500   0   242164      0      0      0   386370      0      0      0 BMRU
lo        16436   0     2458      0      0      0     2458      0      0      0 LRU


Expected Results:  njoly@raclette-tete1 [~]> /bin/netstat -ieth1
Kernel Interface table
Iface       MTU Met    RX-OK RX-ERR RX-DRP RX-OVR    TX-OK TX-ERR TX-DRP TX-OVR Flg
eth1       1500   0   242164      0      0      0   386370      0      0      0 BMRU


Additional info:
Comment 1 Radek Vokal 2006-01-10 06:44:49 EST
This bug is already fixed in rawhide for some time. 

Adding on update proposed list. 
Comment 2 Radek Vokal 2006-01-10 07:15:57 EST
Created attachment 122992 [details]
net-tools-1.60-iface_fix.patch

stupid, really stupid typo!
Comment 3 Nicolas Joly 2006-01-10 08:09:27 EST
Thanks. Is the fix available somewhere ? I'll give it a try.
Comment 4 Radek Vokal 2006-01-10 08:10:51 EST
Yes, try to patch in Comment #2
Comment 5 Radek Vokal 2006-01-10 08:12:37 EST
s/to/the
Comment 6 Nicolas Joly 2006-01-10 08:18:06 EST
Gasp ...
 You are not authorized to access this attachment.

https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=122992
Comment 7 Radek Vokal 2006-01-10 08:30:06 EST
Please try again now .. 
Comment 8 Nicolas Joly 2006-01-10 08:45:23 EST
Ok, i got it and it do solve the parsing problem. Thanks.

In the mean time, i noticed that with an interval value the counters are not
updated even if there some traffic on this interface:

njoly@raclette-tete1 [~]> /bin/netstat -ieth0 1
Kernel Interface table
Iface       MTU Met    RX-OK RX-ERR RX-DRP RX-OVR    TX-OK TX-ERR TX-DRP TX-OVR Flg
eth0       1500   0  3442137      0      0      0   700365      0      0      0 BMRU
eth0       1500   0  3442137      0      0      0   700365      0      0      0 BMRU
eth0       1500   0  3442137      0      0      0   700365      0      0      0 BMRU
[...]

Do you have a fix for that one too ? ;-)
Comment 10 Bob Johnson 2006-04-11 11:48:38 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.
Comment 12 Carl Speare 2006-05-30 15:00:02 EDT
I also see this bug (netstat not updating statistics on a single interface, just
as in comment 8) on ES4u3 (using net-tools-1.60-37.EL4.6), and the original
issue is also present.

We'll definitely need ES4u4 for the fixup.
Comment 15 Red Hat Bugzilla 2006-08-10 17:18:13 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0360.html

Note You need to log in before you can comment on or make changes to this bug.